> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List seller reviews

> List seller reviews by seller ID



## OpenAPI

````yaml get /store/sellers/{id}/reviews
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /store/sellers/{id}/reviews:
    parameters:
      - name: id
        in: path
        description: Seller ID
        required: true
        schema:
          type: string
    get:
      tags:
        - Store
      summary: List seller reviews
      description: List seller reviews by seller ID
      operationId: list-seller-reviews
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      reviews:
                        type: array
                        items:
                          $ref: '#/components/schemas/SellerReview'
                      reviews_stats:
                        $ref: '#/components/schemas/SellerReviewStats'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - X-Api-Key: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-seller-reviews
        description: API reference for the list-seller-reviews operation
components:
  schemas:
    SellerReview:
      title: SellerReview
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/SellerReview
        description: API reference for the SellerReview schema
      properties:
        rating:
          type: number
        review_text:
          type: string
        name:
          type: string
        email:
          type: string
        status:
          type: string
        is_featured:
          type: boolean
        review_date:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    SellerReviewStats:
      title: SellerReviewStats
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/SellerReviewStats
        description: API reference for the SellerReviewStats schema
      properties:
        rating_sum:
          type: number
        count:
          type: integer
    Pagination:
      description: pagination metadata structure
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Pagination
        description: API reference for the Pagination schema
      required:
        - total_records
        - total_pages
        - limit
        - next_page
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          type:
            - integer
            - 'null'
        limit:
          type: integer
        next_page:
          type:
            - integer
            - 'null'
      examples:
        - total_records: 100
          total_pages: 4
          previous_page: null
          next_page: 2
          limit: 25
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    X-Api-Key:
      type: apiKey
      description: API key for your store
      name: X-Api-Key
      in: header

````